3 Replies Latest reply: Mar 25, 2013 10:06 AM by lllaass
osugma Level 1 Level 1 (0 points)

I have an old computer that I use and a second generation Ipod and the icloud won't work on my computer because it says I need Vista. How can I get my purchase and download it on my ipod?


iPod classic, iOS 4.3.1